summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJenkins2 <jenkins2@gerrit.asterisk.org>2018-04-03 06:18:26 -0500
committerGerrit Code Review <gerrit2@gerrit.digium.api>2018-04-03 06:18:26 -0500
commit53f0625498104349719d786c87fbaf4f01433fce (patch)
tree8892137294444e7af512b2a29f1a6f2cfb9c97a2
parent7c32a8ff886aef570cd24b8530c7a919d887dd66 (diff)
parent07cf6b14379e8687ba616a94b2995b9603d31876 (diff)
Merge "install_prereq: Add Slackware (somehow)."
-rw-r--r--Makefile6
-rwxr-xr-xcontrib/scripts/install_prereq22
2 files changed, 22 insertions, 6 deletions
diff --git a/Makefile b/Makefile
index 54368f7c6..2c10dc497 100644
--- a/Makefile
+++ b/Makefile
@@ -951,6 +951,10 @@ config:
fi ; \
elif [ -f /etc/arch-release -o -f /etc/arch-release ] ; then \
./build_tools/install_subst contrib/init.d/rc.archlinux.asterisk "$(DESTDIR)/etc/init.d/asterisk"; \
+ elif [ -f /etc/slackware-version ]; then \
+ ./build_tools/install_subst contrib/init.d/rc.slackware.asterisk "$(DESTDIR)/etc/rc.d/rc.asterisk"; \
+ elif [ -f /etc/os-release ] && [ "slackware" = "$(shell . /etc/os-release && echo $$ID)" ] ; then \
+ ./build_tools/install_subst contrib/init.d/rc.slackware.asterisk "$(DESTDIR)/etc/rc.d/rc.asterisk"; \
elif [ -d "$(DESTDIR)/Library/LaunchDaemons" ]; then \
if [ ! -f "$(DESTDIR)/Library/LaunchDaemons/org.asterisk.asterisk.plist" ]; then \
./build_tools/install_subst contrib/init.d/org.asterisk.asterisk.plist "$(DESTDIR)/Library/LaunchDaemons/org.asterisk.asterisk.plist"; \
@@ -958,8 +962,6 @@ config:
if [ ! -f "$(DESTDIR)/Library/LaunchDaemons/org.asterisk.muted.plist" ]; then \
./build_tools/install_subst contrib/init.d/org.asterisk.muted.plist "$(DESTDIR)/Library/LaunchDaemons/org.asterisk.muted.plist"; \
fi; \
- elif [ -f /etc/slackware-version ]; then \
- echo "Slackware is not currently supported, although an init script does exist for it."; \
else \
echo "We could not install init scripts for your distribution." ; \
fi
diff --git a/contrib/scripts/install_prereq b/contrib/scripts/install_prereq
index 887c5e21d..6d72eb7c4 100755
--- a/contrib/scripts/install_prereq
+++ b/contrib/scripts/install_prereq
@@ -297,7 +297,11 @@ install_unpackaged() {
./configure
make all install
cd ..
- echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ if test -d /etc/ld.so.conf.d; then
+ echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ else # for example: Slackware 14.2
+ echo "/usr/local/lib" > /etc/ld.so.conf
+ fi
/sbin/ldconfig
fi
@@ -310,7 +314,11 @@ install_unpackaged() {
./configure --enable-openssl
make shared_library install
cd ..
- echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ if test -d /etc/ld.so.conf.d; then
+ echo "/usr/local/lib" > /etc/ld.so.conf.d/usr_local.conf
+ else # for example: Slackware 14.2
+ echo "/usr/local/lib" > /etc/ld.so.conf
+ fi
/sbin/ldconfig
fi
fi
@@ -348,8 +356,14 @@ if [ -f /etc/mandrake-release ]; then
unsupported_distro='Mandriva'
fi
-if [ -f /etc/slackware-version ]; then
- unsupported_distro='Slackware'
+if [ -f /etc/slackware-version ] || ([ -f /etc/os-release ] && . /etc/os-release && [ "$ID" = "slackware" ]); then
+ echo >&2 "$0: Your distribution (Slackware) is currently not supported. Aborting. Try manually:"
+ # libedit requires a newer version than Slackware 14.2, for example Slackware-current
+ # or you build it manually: <http://thrysoee.dk/editline/>
+ echo >&2 "$0: # slackpkg install make gcc pkg-config libedit util-linux sqlite libxml2 patch wget"
+ # required for libjansson
+ echo >&2 "$0: # ./contrib/scripts/install_prereq install-unpackaged"
+ exit 1
fi
if [ "$unsupported_distro" != '' ]; then